summaryrefslogtreecommitdiffstats
path: root/games/crack-attack
diff options
context:
space:
mode:
author Frank Caraballo2010-05-12 17:39:09 +0200
committer Michiel van Wessem2010-05-12 17:39:09 +0200
commit2e66eafa9af2e869e0d03b28eeae96e984c6f7de (patch)
tree0f463a9d20abcca03398a8a109fc61ef8dee7337 /games/crack-attack
parent56d9e31da53301e3bc086a1618e811143c14e4d3 (diff)
downloadslackbuilds-2e66eafa9af2e869e0d03b28eeae96e984c6f7de.tar.gz
games/crack-attack: Updated for version 1.1.14
Diffstat (limited to 'games/crack-attack')
-rw-r--r--games/crack-attack/README4
-rw-r--r--games/crack-attack/crack-attack.SlackBuild38
-rw-r--r--games/crack-attack/crack-attack.desktop.diff7
-rw-r--r--games/crack-attack/crack-attack.info4
-rw-r--r--games/crack-attack/doinst.sh2
-rw-r--r--games/crack-attack/slack-desc14
6 files changed, 39 insertions, 30 deletions
diff --git a/games/crack-attack/README b/games/crack-attack/README
index beea992359..7e78bd92bf 100644
--- a/games/crack-attack/README
+++ b/games/crack-attack/README
@@ -1,2 +1,2 @@
-Crack Attack! is a fast-paced puzzle game inspired by the
-classic Super NES title Tetris Attack!
+Crack Attack! is a fast-paced puzzle game inspired by the classic
+Super NES title Tetris Attack!
diff --git a/games/crack-attack/crack-attack.SlackBuild b/games/crack-attack/crack-attack.SlackBuild
index ad11028d79..f2b5d27e80 100644
--- a/games/crack-attack/crack-attack.SlackBuild
+++ b/games/crack-attack/crack-attack.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Crack Attack!
-# Copyright 2007 Frank Caraballo <fecaraballo[AT]gmail.com>
+# Copyright 2007, 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,31 +23,36 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=crack-attack
-VERSION=1.1.14
+VERSION=${VERSION:-1.1.14}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="AUTHORS ChangeLog COPYING COPYRIGHT INSTALL NEWS README doc"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# Apply crack-attack.desktop.diff patch:
patch -p0 < $CWD/$PRGNAM.desktop.diff || exit 1
@@ -58,6 +63,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -65,20 +71,24 @@ make install-strip DESTDIR=$PKG || exit 1
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING COPYRIGHT INSTALL NEWS README doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -iname "Makefile*" -exec rm {} \;
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+mv $PKG/usr/share/$PRGNAM/$PRGNAM.desktop $PKG/usr/share/applications
+( cd $PKG/usr/share/pixmaps
+ ln -s ../crack-attack/crack-attack.xpm crack-attack.xpm
+)
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
-
-mkdir -p $PKG/usr/share/applications $PKG/usr/share/pixmaps
-mv $PKG/usr/share/$PRGNAM/$PRGNAM.desktop $PKG/usr/share/applications
-( cd $PKG/usr/share/pixmaps ; ln -sf ../$PRGNAM/$PRGNAM.xpm $PRGNAM.xpm )
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/crack-attack/crack-attack.desktop.diff b/games/crack-attack/crack-attack.desktop.diff
index 176dd4368b..241c57755f 100644
--- a/games/crack-attack/crack-attack.desktop.diff
+++ b/games/crack-attack/crack-attack.desktop.diff
@@ -1,13 +1,12 @@
- --- data/crack-attack.desktop.orig 2007-01-19 10:31:19.000000000 -0800
-+++ data/crack-attack.desktop 2007-01-19 10:33:42.000000000 -0800
+--- data/crack-attack.desktop.orig 2007-06-19 14:09:14.000000000 -0700
++++ data/crack-attack.desktop 2007-06-19 14:10:47.000000000 -0700
@@ -1,9 +1,10 @@
[Desktop Entry]
Encoding=UTF-8
Name=Crack Attack!
+GenericName=Fast-paced Puzzle Game
Exec=crack-attack
--Icon=crack-attack.xpm
-+Icon=/usr/share/pixmaps/crack-attack.xpm
+ Icon=crack-attack.xpm
Terminal=false
Type=Application
-Categories=Application;Games;
diff --git a/games/crack-attack/crack-attack.info b/games/crack-attack/crack-attack.info
index 94b69929a6..299fbc3bb5 100644
--- a/games/crack-attack/crack-attack.info
+++ b/games/crack-attack/crack-attack.info
@@ -4,5 +4,5 @@ HOMEPAGE="http://www.nongnu.org/crack-attack/"
DOWNLOAD="http://savannah.nongnu.org/download/crack-attack/crack-attack-1.1.14.tar.bz2"
MD5SUM="77bfcb38a293e87fd0d0eab05bae8177"
MAINTAINER="Frank Caraballo"
-EMAIL="fecaraballo[AT]gmail.com"
-APPROVED="BP{k}"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="Michiel" \ No newline at end of file
diff --git a/games/crack-attack/doinst.sh b/games/crack-attack/doinst.sh
index 9ad0b734e0..f364075896 100644
--- a/games/crack-attack/doinst.sh
+++ b/games/crack-attack/doinst.sh
@@ -1,4 +1,4 @@
if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+ usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/games/crack-attack/slack-desc b/games/crack-attack/slack-desc
index 10488afa4c..5b303e18cc 100644
--- a/games/crack-attack/slack-desc
+++ b/games/crack-attack/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
crack-attack: Crack Attack! (Fast-paced Puzzle Game)
crack-attack:
-crack-attack: Crack Attack! is a fast-paced puzzle game inspired by the
-crack-attack: classic Super NES title Tetris Attack!
+crack-attack: Crack Attack! is a fast-paced puzzle game inspired by the classic
+crack-attack: Super NES title Tetris Attack!
crack-attack:
crack-attack: Homepage: http://www.nongnu.org/crack-attack/
crack-attack: